/**
 * Copyright 2016 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
'use strict';

/* eslint-env mocha */

const assert = require('assert');
const getRandomPort = require('../random-port').getRandomPort;

describe('Random port generation', () => {
  it('generates a valid random port number', () => {
    return getRandomPort().then(port => {
      // Verify generated port number is valid integer.
      assert.ok(Number.isInteger(port) && port > 0 && port <= 0xFFFF);
    });
  });
});
